# Copyright (C) 2023  Nexedi SA
#     Lukasz Nowak <luke@nexedi.com>
#
# This program is free software: you can Use, Study, Modify and Redistribute
# it under the terms of the GNU General Public License version 3, or (at your
# option) any later version, as published by the Free Software Foundation.
#
# You can also Link and Combine this program with other software covered by
# the terms of any of the Free Software licenses or any of the Open Source
# Initiative approved licenses and Convey the resulting work. Corresponding
# source of such a combination shall include the source code for all other
# software used.
#
# This program is distributed WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See COPYING file for full licensing terms.
# See https://www.nexedi.com/licensing for rationale and options.

from setuptools import setup, find_packages
#  with io.open("src/surykatka/bot.py", "rt", encoding="utf8") as f:
#    version = re.search(r'__version__ = "(.*?)"', f.read()).group(1)


setup(
  name='recurlests',
  version='0.0.0',
  author='Lukasz Nowak',
  author_email='luke@nexedi.com',
  description="Recurlests - requests like curl wrapper",
  long_description=__doc__,
  classifiers=[
    'Environment :: Console',
    'Environment :: Web Environment',
    'Intended Audience :: System Administrators',
    'Intended Audience :: Information Technology',
    'License :: OSI Approved :: GNU General Public License v3 or '
    'later (GPLv3+)',
  ],
  keywords='requests url curl',
  url='https://lab.nexedi.com/luke/recurlests',
  license='GPLv3+ with wide exception for FOSS',
  install_requires=[
    'requests',  # for the great CaseInsensitiveDict
  ],
  zip_safe=True,
  python_requires=">=3.5",
  packages=find_packages("src"),
  package_dir={"": "src"},
  entry_points={
    'console_scripts': [
      'recurl = recurlests.cli:recurl',
    ]
  },
)
